#include <iostream>

using namespace std;

int main()
{
    int a1, a2, i;
    string slova;
    cin >> slova;
    cin >> a1;
    cin >> a2;
    if(a1>a2)
    {
        if(a1-a2>1)
        {
            cout << "nemoguce" << endl;
        }
        else
        {
            for(i=0;i<a1+a2;i++)
            {
                if(i%2==0)
                {
                    cout << slova[0];
                }
                else
                {
                    cout << slova[1];
                }
            }
            cout << endl;
        }
    }
    else
    {
        if(a2-a1>1)
        {
            cout << "nemoguce" << endl;
        }
        else
        {
            for(i=0;i<a1+a2;i++)
            {
                if(i%2==0)
                {
                    cout << slova[1];
                }
                else
                {
                    cout << slova[0];
                }
            }
            cout << endl;
        }
    }
}